Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.security.management.credentials
Class CredentialProviderDescription

    java.lang.Object
      com.bea.p13n.security.management.ProviderDescription
          com.bea.p13n.security.management.credentials.CredentialProviderDescription

All Implemented Interfaces
  Serializable

    public class CredentialProviderDescription

extends ProviderDescription
implements Serializable

This class holds information describing a single SSPI Credential Map provider. It is a convenience class, an immutable value object used by management functions.

This class is normally not directly instantiated, but is accessed through the use of the `SecurityMgmtHelper`.

See Also
  `CredentialSecurityMgmtHelper`, Serialized Form

Field Summary
`static int` | `DUMB_PROVIDER`
`static int` | `READ_ONLY_PROVIDER` The MBean represented by this object, in total, implements enough optional MBean interfaces to allow read operations.
`static int` | `READ_WRITE_PROVIDER` The MBean represented by this object, in total, implements enough optional MBean interfaces to allow full CRUD operations.

Constructor Summary
`CredentialProviderDescription(CredentialMapperMBean aCredentialMapperMBean)`

Method Summary
`CredentialMapperMBean` | `getProviderMBean(weblogic.security.acl.internal.AuthenticatedSubject authSubject)` Get the MBean used to initialize this instance.
`int` | `getProviderMgmtCapability()` Get provider capability - a roll up of what optional MBeans are implemented.
`boolean` | `isCredentialEditorImplemented()` Get provider configuration information for optional MBean implementation.
`boolean` | `isCredentialReaderImplemented()` Get provider configuration information for optional MBean implementation.
`boolean` | `isDefaultCredentialMapProvider()` The scheme for who the default Credential Mapper provider is simple:
`String` | `toString()`

Methods inherited from class com.bea.p13n.security.management.ProviderDescription
`getDescription, getDisplayName, getVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DUMB_PROVIDER

    public static final int DUMB_PROVIDER

See Also
  Constants Summary

### READ_ONLY_PROVIDER

    public static final int READ_ONLY_PROVIDER

  The MBean represented by this object, in total, implements enough optional MBean interfaces to allow read operations.

  See Also
    Constants Summary

### READ_WRITE_PROVIDER

    public static final int READ_WRITE_PROVIDER

  The MBean represented by this object, in total, implements enough optional MBean interfaces to allow full CRUD operations.

  See Also
    Constants Summary

Constructor Detail

### CredentialProviderDescription

    public CredentialProviderDescription(CredentialMapperMBean aCredentialMapperMBean)

Method Detail

### isDefaultCredentialMapProvider

    public boolean isDefaultCredentialMapProvider()

  The scheme for who the default Credential Mapper provider is simple:

  Returns
    true if this provider is the default Credential Mapper provider. If the provider is an instance of weblogic.security.providers.authorization.DefaultCredentialMapperMBean, it is the default.

### isCredentialEditorImplemented

    public boolean isCredentialEditorImplemented()

  Get provider configuration information for optional MBean implementation.

  Returns
    true if provider implements this interface, otherwise false

### isCredentialReaderImplemented

    public boolean isCredentialReaderImplemented()

  Get provider configuration information for optional MBean implementation.

  Returns
    true if provider implements this interface, otherwise false

### getProviderMBean

    public CredentialMapperMBean getProviderMBean(weblogic.security.acl.internal.AuthenticatedSubject authSubject)

  Get the MBean used to initialize this instance.

  Parameters
    `authSubject` - A Subject authorized for access to Credential Management
  Returns
    the MBean representing this authentication provider

### getProviderMgmtCapability

    public int getProviderMgmtCapability()

  Get provider capability - a roll up of what optional MBeans are implemented. Possible values;
  1. `DUMB_PROVIDER`
  2. `READ_ONLY_PROVIDER`
  3. `READ_WRITE_PROVIDER`

  Returns
    true if provider implements this interface, otherwise false

### toString

    public String toString()

  Overrides:
    `toString` in class `ProviderDescription`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.